Show / Hide Table of Contents

# Struct RetainerCommentModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RetainerCommentModule

### Fields

| Improve this Doc View Source

#### Retainers

##### Declaration

    public RetainerCommentModule.RetainerCommentList Retainers

##### Field Value

Type | Description
--- | ---
RetainerCommentModule.RetainerCommentList |

### Methods

| Improve this Doc View Source

#### GetComment(UInt64)

##### Declaration

    public byte *GetComment(ulong retainerId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | retainerId |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static RetainerCommentModule*Instance()

##### Returns

Type | Description
--- | ---
RetainerCommentModule* |

| Improve this Doc View Source

#### SetComment(UInt64, Byte*)

##### Declaration

    public void *SetComment(ulong retainerID, byte *comment)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | retainerID |
System.Byte* | comment |

##### Returns

Type | Description
--- | ---
System.Void* |